import { DescribeOptions, Engine, EngineRunResults, RuleDescription, RunOptions } from "@salesforce/code-analyzer-engine-api";
import { CpdEngineConfig } from "./config";
export declare class CpdEngine extends Engine {
    private readonly cpdWrapperInvoker;
    private readonly config;
    private readonly extensionToLanguageMap;
    private workspaceLiaisonCache;
    constructor(config: CpdEngineConfig);
    getName(): string;
    getEngineVersion(): Promise<string>;
    describeRules(describeOptions: DescribeOptions): Promise<RuleDescription[]>;
    runRules(ruleNames: string[], runOptions: RunOptions): Promise<EngineRunResults>;
    private getWorkspaceLiaison;
}
